@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lora&display=swap');

*{
  box-sizing: border-box;
  font-family: "Roboto Condensed";
  color: gray;
}

head,body{
  margin: 0;
  padding: 0;
  background-color: lightskyblue;
}

.main-header{
  background-image: url("imagenes/pcb.jpg");
  background-size: cover;
  background-blend-mode: multiply;
  padding-bottom: 20px;
}

.nav ul{
  margin: 0;
}

.nav li{
  display: inline;
}

.nav a{
  display: inline-block;
  padding: 1em;
  color: aqua;
  text-decoration: none;
}

.nav a:hover{
  background-color: rgba(255,255 ,255, 0.3);
}

.main-nav{
  text-align: center;
  font-size: 1.1em;
  font-weight: lighter;
  border-bottom: 1px solid rgba(255,255,255, 0.3);
}

.main-nav li{
  padding: 0 5%;
}

.nombre{
  text-align: center;
  margin: 0.5em;
  font-family: "Lora";
  font-weight: normal;
}

.nombre-principal{
  font-size: 4em;
  color: white;
}

.content-section{
  margin: 1em;
}

.conteiner{
  max-width: 1000px;
  margin: 0 auto;
  padding: 0 1.5em;
  font-size: larger;
}

.section-header{
  font-family: "Lora";
  font-size: xx-large;
  color: #333;
}

.imagen-personal{
  display: block;
  width: 300px;
  margin-left: auto;
  margin-right: auto;
  border-radius: 50%;
}

.main-footer{
  background-color: rgba(0, 0, 0, 0.6);
  background-image: url(imagenes/pcb\ -\ footer.jpg);
  background-blend-mode: multiply;
  background-size: cover;
  padding-bottom: 20px;
}

/*  Dieciseis -  Un área del documento que contiene un flexbox es llamada contendedor flex. 
  Para crear un contenedor flex, establecemos la propiedad display de la clase contenedora como flex 
  o inline-flex. Tan pronto como hacemos esto, los hijos directos de este contenedor se vuelven ítems 
  flex. Como con todas las propiedades de CSS, se definen algunos valores iniciales, así que cuando 
  creemos un contenedor flex todos los ítems flex contenidos se comportarán de la siguiente manera 
  
  El resultado es que todos los ítems se alinearán en una solo fila, usando el tamaño del contenedor 
  como su tamaño en el eje principal. 
  Si hay más ítems de los que caben en el contenedor, estos no pasarán más abajo si no que sobrepasarán 
  el margen. 
  Si hay ítems más altos que otros, todos los ítems serán ajustados en el eje cruzado para alcanzar 
  al mayor.
  
  https://www.w3schools.com/css/css3_flexbox.asp
  https://developer.mozilla.org/es/docs/Web/CSS/CSS_Flexible_Box_Layout/Conceptos_Basicos_de_Flexbox */

  .main-footer-conteiner{
    display: flex;
    align-items: center;
  }
  
  /*  Diecisiete - A partir de lo que se analizó en puntos anteriores, ¿puede describir que hacemos aquí? */
  
  .main-footer-conteiner h3{
    color: white;
    font-weight: lighter;
    font-family: "Lora";
    font-size: xx-large;
  }
  
  /*   Dieciocho - La propiedad flex-grow de CSS especifica el factor de crecimiento de un elemento flexible 
    (que tiene asignado display:flex), en su dirección principal. El factor de crecimiento especifica qué 
    cantidad del espacio restante dentro del contenedor flexible, debería ocupar el item en cuestión. */
  
  .main-footer-conteiner ul{
    flex-grow: 1;
    text-align: end;
  }
  
  /*  Diecinueve - A partir de lo que se analizó en puntos anteriores, ¿puede describir que hacemos aquí? */
  
  .footer-nav li{
    padding: 0 5%;
  }

  .footer-nav img{
    width: 50px;
  }
  /* --------------------------------------------------------------------------------------- */
  
    